- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.VpnGatewaysGetStatusResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.VpnGatewaysGetStatusResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/vpnGateways/getStatus#try-it)

Returns the status for the specified VPN gateway.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region for this request. |
| `vpnGateway` | `string` Name of the VPN gateway to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": { "vpnConnections": [ { "peerExternalGateway": string, "peerGcpGateway": string, "tunnels": [ { "localGatewayInterface": integer, "peerGatewayInterface": integer, "tunnelUrl": string } ], "state": { "state": enum, "unsatisfiedReason": enum } } ] } } ``` |

| Fields ||
|---|---|
| `result` | `object` |
| `result.vpnConnections[]` | `object` Output only. vpnGateways.list of VPN connection for this VpnGateway. |
| `result.vpnConnections[].peerExternalGateway` | `string` Output only. URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peerGcpGateway. |
| `result.vpnConnections[].peerGcpGateway` | `string` Output only. URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peerGcpGateway. |
| `result.vpnConnections[].tunnels[]` | `object` vpnGateways.list of VPN tunnels that are in this VPN connection. |
| `result.vpnConnections[].tunnels[].localGatewayInterface` | `integer (https://developers.google.com/discovery/v1/type-format format)` Output only. The VPN gateway interface this VPN tunnel is associated with. |
| `result.vpnConnections[].tunnels[].peerGatewayInterface` | `integer (https://developers.google.com/discovery/v1/type-format format)` Output only. The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or a Google Cloud VPN gateway. |
| `result.vpnConnections[].tunnels[].tunnelUrl` | `string` Output only. URL reference to the VPN tunnel. |
| `result.vpnConnections[].state` | `object` HighAvailabilityRequirementState for the VPN connection. |
| `result.vpnConnections[].state.state` | `enum` Indicates the high availability requirement state for the VPN connection. Valid values are `CONNECTION_REDUNDANCY_MET`, `CONNECTION_REDUNDANCY_NOT_MET`. |
| `result.vpnConnections[].state.unsatisfiedReason` | `enum` Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is `INCOMPLETE_TUNNELS_COVERAGE`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.vpnGateways.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).